diff -ruN higan_v094-source/ananke/Makefile higan_v094-source_MOD/ananke/Makefile
--- higan_v094-source/ananke/Makefile	2013-12-19 13:10:40.000000000 +0300
+++ higan_v094-source_MOD/ananke/Makefile	2014-03-11 12:04:37.875388819 +0300
@@ -31,9 +31,9 @@
 	sudo cp libananke.dylib $(path)/libananke.1.dylib
 	sudo ln -s $(path)/libananke.1.dylib $(path)/libananke.dylib
 else
-	if [ ! -d ~/.config/ananke ]; then mkdir ~/.config/ananke; fi
-	sudo cp libananke.so $(path)/libananke.so.1
-	sudo ln -s $(path)/libananke.so.1 $(path)/libananke.so
+	mkdir -p $(path)                                 
+	cp libananke.so $(path)/libananke.so.1
+	ln -s $(path)/libananke.so.1 $(path)/libananke.so
 endif
 
 uninstall:
diff -ruN higan_v094-source/target-ethos/Makefile higan_v094-source_MOD/target-ethos/Makefile
--- higan_v094-source/target-ethos/Makefile	2014-01-13 08:26:29.000000000 +0300
+++ higan_v094-source_MOD/target-ethos/Makefile	2014-03-11 15:57:18.360490754 +0300
@@ -24,7 +24,13 @@
   ruby += input.carbon
 else ifeq ($(platform),linux)
   ruby := video.glx video.xv video.xshm video.sdl
-  ruby += audio.alsa audio.openal audio.oss audio.pulseaudio audio.pulseaudiosimple audio.ao
+  ruby += audio.alsa audio.oss audio.ao
+  ifeq ($(with_openal),yes)
+    ruby += audio.openal
+  endif
+  ifeq ($(with_pulseaudio),yes)
+    ruby += audio.pulseaudio audio.pulseaudiosimple
+  endif
   ruby += input.udev input.sdl input.x
 else ifeq ($(platform),bsd)
   ruby := video.glx
@@ -96,14 +102,14 @@
 	sudo cp data/cheats.bml /Library/Application\ Support/$(name)/cheats.bml
 	sudo chmod -R 777 /Library/Application\ Support/$(name)
 else
-	sudo install -D -m 755 out/$(name) $(DESTDIR)$(prefix)/bin/$(name)
-	sudo install -D -m 644 data/$(name).png $(DESTDIR)$(prefix)/share/pixmaps/$(name).png
-	sudo install -D -m 644 data/$(name).desktop $(DESTDIR)$(prefix)/share/applications/$(name).desktop
-
-	sudo mkdir -p /usr/share/$(name)
-	sudo cp -R profile/* /usr/share/$(name)
-	sudo cp data/cheats.bml /usr/share/$(name)/cheats.bml
-	sudo chmod -R 777 /usr/share/$(name)
+	install -D -m 755 out/$(name) $(DESTDIR)$(prefix)/bin/$(name)
+	install -D -m 644 data/$(name).png $(DESTDIR)$(prefix)/share/pixmaps/$(name).png
+	install -D -m 644 data/$(name).desktop $(DESTDIR)$(prefix)/share/applications/$(name).desktop
+
+	mkdir -p $(DESTDIR)/usr/share/$(name)
+	cp -R profile/* $(DESTDIR)/usr/share/$(name)
+	cp data/cheats.bml $(DESTDIR)/usr/share/$(name)/cheats.bml
+	chmod -R 777 $(DESTDIR)/usr/share/$(name)
 endif
 
 uninstall:
